io.vertx.rxjava.ext.auth.jdbc

## Class JDBCAuthorization

- java.lang.Object
- - io.vertx.rxjava.ext.auth.authorization.AuthorizationProvider
  - - io.vertx.rxjava.ext.auth.jdbc.JDBCAuthorization

-     public class JDBCAuthorization
      extends AuthorizationProvider

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<JDBCAuthorization>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCAuthorization(JDBCAuthorization delegate)`
    `JDBCAuthorization(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JDBCAuthorization` | `create(String providerId, JDBCClient client, JDBCAuthorizationOptions options)` Deprecated.
    `boolean` | `equals(Object o)`
    `JDBCAuthorization` | `getDelegate()`
    `int` | `hashCode()`
    `static JDBCAuthorization` | `newInstance(JDBCAuthorization arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.authorization.AuthorizationProvider

      `create, getAuthorizations, getAuthorizations, getId, newInstance, rxGetAuthorizations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JDBCAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### JDBCAuthorization

          public JDBCAuthorization(JDBCAuthorization delegate)

    - #### JDBCAuthorization

          public JDBCAuthorization(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthorizationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthorizationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthorizationProvider`

    - #### getDelegate

          public JDBCAuthorization getDelegate()

      Overrides:
        `getDelegate` in class `AuthorizationProvider`

    - #### create

          @Deprecated
          public static JDBCAuthorization create(String providerId,
                                                             JDBCClient client,
                                                             JDBCAuthorizationOptions options)

      Deprecated.
      Create a JDBC authorization provider implementation
      Parameters:
        `providerId` - the provider id
        `client` - the JDBC client instance
        `options` - the `JDBCAuthorizationOptions`
      Returns:
        the auth provider

    - #### newInstance

          public static JDBCAuthorization newInstance(JDBCAuthorization arg)

Copyright © 2024 Eclipse. All rights reserved.